#
# spec file for package fontpackages
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           fontpackages
Version:        0.2
Release:        12.8
Summary:        Commons for Font Packages
License:        BSD-3-Clause
Group:          System/Base
Source0:        rpm-macros.fonts-config
Source100:      COPYING
BuildArch:      noarch

%description
Commons for font packages.

%package devel
Summary:        Development Commons for Font Packages
Group:          Development/Tools/Building

%description devel
Development commons for font packages.

%prep

%build
cp %{SOURCE100} .

%install
mkdir -p %{buildroot}%{_rpmmacrodir}
cp -a %{SOURCE0} %{buildroot}%{_rpmmacrodir}/macros.fonts-config

%files devel
%license COPYING
%{_rpmmacrodir}/macros.fonts-config

%changelog
* Fri Jun 11 2021 Dominique Leuenberger <dimstar@opensuse.org>
- Move /macros.fonts-config from /etc/rpm to %%{_rpmmacrodir}
  (boo#1185657).
* Tue Nov 21 2017 kukuk@suse.de
- /var/adm/update-scripts is deprecated and will be removed at
  some point in the future, since %%posttrans support in libzypp
  was fixed with SLE12. Remove the workaround, only use the RPM
  posttrans to simplify the code and testing.
* Mon Mar 14 2016 pgajdos@suse.com
- fix previous commit
* Mon Mar  7 2016 olaf@aepfle.de
- Update reconfigure_fonts_post to use shell variables
  to reduce build-compare noise in font packages
* Wed Oct 21 2015 dmueller@suse.com
- remove references to /var/run (bsc#951354)
* Thu Feb  5 2015 olaf@aepfle.de
- Revert last pathname change because libzypp expects a fixed
  filename pattern. release changes have to caught in build-compare
* Tue Feb  3 2015 olaf@aepfle.de
- Move version-release to reduce build-compare noise
* Thu Feb 27 2014 pgajdos@suse.com
- require coreutils for scriptlets of fontpackages [bnc#865853]
* Wed Jan 22 2014 pgajdos@suse.com
- fonts-config is --quiet in every call
* Tue Oct 15 2013 pgajdos@suse.com
- fixed minor typo in %%reconfigure_fonts_post macro [bnc#845955]
* Mon Oct 14 2013 pgajdos@suse.com
- minor fix in %%reconfigure_fonts_post macro (really check for
  cjk *-config before run them)
* Mon Sep 30 2013 pgajdos@suse.com
- run fonts-config only once when installing or upgrading more
  fonts in one transaction
* Wed Jan  2 2013 pgajdos@suse.com
- %%reconfigure_fonts_scriptlets macro does not contain (now empty)
  %%posttrans from now on until
  https://bugzilla.novell.com/show_bug.cgi?id=773575
  is not resolved
* Mon Oct  8 2012 pgajdos@suse.com
- introduced new rpm macro: %%files_fontsconf_availdir
    to be included in %%files section of package which ships own
    fontconfig files; expands in
    /usr/share/%%{name}
    /usr/share/%%{name}/conf.avail
- introduced new rpm macro: %%files_fontsconf_file
    to be included in %%files section of package which ships own
    fontconfig file;
    %%files_fontsconf_file -l name.conf
    expands in
    /usr/share/%%{name}/conf.avail/name.conf
    %%config /etc/fonts/conf.d/name.conf
    when -l switch isn't supplied, only
    /usr/share/%%{name}/conf.avail/name.conf
    is packaged
* Tue Oct  2 2012 pgajdos@suse.com
- introduced new rpm macro: %%install_fontsconf
  for given file (path/to/01-font.conf), it
    1. creates %%{_fontsconfavaildir}
    2. copies path/to/01-font.conf to %%{_fontsconfavaildir}
  uses %%link_avail_to_system_fontsconf to
    3. create %%{_fontsconfddir}
    4. link %%{_fontsavaildir}/01-fonts.conf %%{_fontsconfddir}
* Tue Oct  2 2012 pgajdos@suse.com
- modified %%_fontsconfavaildir to from
  /etc/fonts/conf.avail to /usr/share/%%{name}/conf.avail as
  fontconfig 2.10 ship its avail conf in /usr/share/fontconfig/conf.avail
- added %%link_avail_to_system_fontsconf, which creates symlink pointing
  from /etc/fonts/conf.d to ../../../usr/share/%%{name}/conf.avail
* Tue Jul  3 2012 pgajdos@suse.com
- package created, added rpm-macros.fonts-config
